package dev.lions.unionflow.server.api.enums.vote;

public enum StatutVote {
    BROUILLON("Paramétrage de la campagne en cours"),
    PLANIFIE("Campagne planifiée (pas encore ouverte aux votes)"),
    OUVERT("Les membres peuvent voter activement"),
    SUSPENDU("Campagne de vote suspendue suite à une contestation"),
    CLOTURE("Dispositif de vote fermé (Calcul en cours)"),
    RESULTATS_PUBLIES("Résultats définitifs publiés et accessibles");

    private final String libelle;

    StatutVote(String libelle) {
        this.libelle = libelle;
    }

    public String getLibelle() {
        return libelle;
    }
}
